Name: dt
Version: 15.14
Release: 2%{?dist}
License: MIT/X11
Summary: Generic data test program
Group: System Environment/Test
Source: dt-source.tar.gz
Patch0: dt-15.14-HZ-not-constant.patch
URL: http://home.comcast.net/~SCSIguy/SCSI_FAQ/RMiller_Tools/dt.html
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
'dt' is a generic data test program used to verify proper operation of
peripherals and for obtaining performance information. Since verification of
data is performed, 'dt' can be thought of as a generic diagnostic tool.

'dt' command lines are similar to the 'dd' program, which is popular on most
UNIX systems. It contains numerous options to give the user complete control of
the test parameters.

'dt' has been used to successfully test disks, tapes, serial lines, parallel
lines, pipes, and memory mapped files. In fact, 'dt' can be used for any device
which allows the standard open, read, write, & close system calls. Special
support is necessary for some devices, such as serial lines, for setting up the
speed, parity, data bits, etc.

Avaliable documentation is located in /usr/doc/%{name}-%{version}. Sample scripts
and config data are installed in /usr/share/%{name}.

%prep
%setup -q -n dt.d
%patch0

%build
%ifos linux
make -f Makefile.linux
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d -m755 $RPM_BUILD_ROOT/usr/sbin
install -d -m755 $RPM_BUILD_ROOT/usr/share/dt
install -m755 -s dt $RPM_BUILD_ROOT/usr/sbin
install -m755 dt? pattern_* $RPM_BUILD_ROOT/usr/share/dt
# These scripts are not required and have some weird deps (ksh and tclsh)
#install -m755 slices makepats MakeTestDisc dtciot $RPM_BUILD_ROOT/usr/share/dt

%files
%defattr(-,root,root)
%doc *.doc *.pdf *.log *.ps *.ppt *.txt *.t README* *Abstract WhatsNew* *Notes
%doc rrd42.dtc dt.examples dt.help html TestDisc ToDoList ErrorReports 
%doc CDROM-Test-Disc _Cover.dt-UsersGuide IOT-Example
/usr/sbin/dt
/usr/share/dt

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Mon Dec 12 2005 Will Woods <wwoods@redhat.com>
- dt-15.14-HZ-not-constant.patch - HZ is not a constant, so 'clock_t hz = HZ'
  causes compile failure on ia64. This patch fixes that.

* Thu Aug 18 2005 Will Woods <wwoods@redhat.com>
- upgrade to 15.14

* Wed Aug  9 2000 Werner Bosse <wbosse@berlin.snafu.de>
- upgrade to 13.0.18

* Sun Aug  6 2000 Werner Bosse <wbosse@berlin.snafu.de>
- initialization of spec file.
